#include <amscudafractallevelset/amscudafractallevelset.cuh>

namespace amscuda
{
namespace fractallevelset
{


__host__ __device__ float main_function(cuvec3f pos, main_functionpars &pars)
{
    float ret = 0.0f;

    ret = pos[0]*pos[0]+pos[1]*pos[1]+pos[2]*pos[2]-pars.threshold;

    return -ret;
};


    
};//end namespace fractallevelset
};// end namespace amscuda
